org.keycloak.services.resources.account.resources

## Class AbstractResourceService

- java.lang.Object
- - org.keycloak.services.resources.account.resources.AbstractResourceService

- Direct Known Subclasses:
    ResourceService, ResourcesService

      public abstract class AbstractResourceService
      extends Object

  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractResourceService.Client`
    `static class` | `AbstractResourceService.Permission`
    `static class` | `AbstractResourceService.Resource`
    `static class` | `AbstractResourceService.ResourcePermission`
    `static class` | `AbstractResourceService.Scope`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Auth` | `auth`
    `protected AuthorizationProvider` | `provider`
    `protected org.jboss.resteasy.spi.HttpRequest` | `request`
    `protected ResourceStore` | `resourceStore`
    `protected ScopeStore` | `scopeStore`
    `protected PermissionTicketStore` | `ticketStore`
    `protected KeycloakUriInfo` | `uriInfo`
    `protected UserModel` | `user`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractResourceService(KeycloakSession session, UserModel user, Auth auth, org.jboss.resteasy.spi.HttpRequest request)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### user

          protected final UserModel user

    - #### provider

          protected final AuthorizationProvider provider

    - #### ticketStore

          protected final PermissionTicketStore ticketStore

    - #### resourceStore

          protected final ResourceStore resourceStore

    - #### scopeStore

          protected final ScopeStore scopeStore

    - #### uriInfo

          protected final KeycloakUriInfo uriInfo

    - #### request

          protected org.jboss.resteasy.spi.HttpRequest request

    - #### auth

          protected Auth auth

  - ### Constructor Detail

    - #### AbstractResourceService

          protected AbstractResourceService(KeycloakSession session,
                                            UserModel user,
                                            Auth auth,
                                            org.jboss.resteasy.spi.HttpRequest request)

Copyright © 2021 JBoss by Red Hat. All rights reserved.